package testcdi.persistence.dao;

import testcdi.persistence.inject.MngDb;

import javax.inject.Inject;
import javax.persistence.EntityManager;

public abstract class MngDbDAO<T> extends BaseDAO<T> {

    @Inject @MngDb
    protected EntityManager em;

    /**
     * Returns the entity manager
     *
     * @return The entity manager
     */
    protected EntityManager getEntityManager() {
        return em;
    }
}
