package testcdi.persistence.exceptions;

import java.io.Serializable;

public class GeneralPersistenceException extends RuntimeException implements Serializable {

    /**
     * Constructor
     */
	public GeneralPersistenceException() {
		super();
	}

    /**
     * Constructor
     *
     * @param message Error message
     */
	public GeneralPersistenceException(String message) {
		super (message);
	}

    /**
     * Constructor
     *
     * @param cause Cause
     */
	public GeneralPersistenceException(Throwable cause) {
		super (cause);
	}

    /**
     * Constructor
     *
     * @param message Error message
     * @param cause Cause
     */
	public GeneralPersistenceException(String message, Throwable cause) {
		super (message, cause);
	}
}
