package testcdi.bl;

import testcdi.dal.AaDAO;
import testcdi.mapping.AaMO;
import testcdi.mapping.BbMO;

import javax.annotation.PostConstruct;
import javax.ejb.Singleton;
import javax.ejb.Startup;
import javax.inject.Inject;
import java.util.List;

@Singleton
@Startup
public class AaBean implements Aa {

    @Inject
    private AaDAO dao;       

    @Inject
    private Bb bb;

    private List<AaMO> allAa;
    private List<BbMO> allBb;

    @PostConstruct
    private void init() {
        allAa = getAllAa();
        allBb = bb.getAllBb();        
    }

    @Override
    public void doSomething() {
        bb.doSomething();
    }

    @Override
    public List<AaMO> getAllAa() {
        return dao.getAll();
    }
}
